GHSA-j257-jfvv-h3x5

Suggest an improvement
Source
https://github.com/advisories/GHSA-j257-jfvv-h3x5
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2020/10/GHSA-j257-jfvv-h3x5/GHSA-j257-jfvv-h3x5.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-j257-jfvv-h3x5
Aliases
Published
2020-10-13T17:30:30Z
Modified
2024-02-17T05:31:00.832894Z
Severity
  • 7.7 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:C/C:N/I:H/A:N CVSS Calculator
Summary
Privilege Escalation in Channelmgnt plug-in for Sopel
Details

Impact

Malicious users are able to op/voice and take over a channel

Patches

On version 1.0.3

Workarounds

Disable channelmgnt

References

https://phab.bots.miraheze.wiki/T117

For more information

If you have any questions or comments about this advisory: * Email us at staff(at)mirahezebots(dot)org

References

Affected packages

PyPI / sopel-plugins-channelmgnt

Package

Name
sopel-plugins-channelmgnt
View open source insights on deps.dev
Purl
pkg:pypi/sopel-plugins-channelmgnt

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.0.3

Affected versions

1.*

1.0.0
1.0.1
1.0.2